@charset "UTF-8";

html {
  scroll-behavior: smooth;
}

body {
  font-family: sans-serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: normal;
}

div {
  overflow-wrap: break-word;
  word-break: break-word;
}

div[id^="fd"]:hover {
  color: red;
  cursor: pointer;
}

div[id^="fd"]:active {
  position: relative;
  top: 2px;
  left: 2px;
}

div[id^="fd"] {
  color: blue;
}

span[id^="fd"]:hover {
  color: red;
  cursor: pointer;
}

span[id^="fd"]:active {
  position: relative;
  top: 2px;
  left: 2px;
}

span[id^="fd"] {
  color: blue;
}

pre {
  font-family: sans-serif;
  white-space: pre-wrap;
  overflow-wrap: break-word;
  word-break: break-word;
}

img {
  text-decoration: none;
  border-style: none;
}

table {
  margin-right: auto;
  margin-left: auto;
  overflow-wrap: break-word;
}

table.k550out {
  margin-top: 25px;
  margin-bottom: 25px;
}

table.info {
  border-color: green;
  border-radius: 10px;
}

iframe {
  border-style: none;
  text-decoration: none;
}

input {
  cursor: pointer;
  height: 20px;
}

input[type="checkbox"],
input[type="radio"] {
  vertical-align: middle;
}

input[type="submit"],
input[type="reset"] {
  height: 40px;
  vertical-align: middle;
  font-size: 120%;
  font-weight: bold;
}

textarea {
  cursor: pointer;
}

textarea.mail {
  width: 460px;
  height: 200px;
}

a[href] {
  cursor: pointer;
}

a[href]:hover {
  color: red;
}

a:link {
  color: blue;
}

/* 未訪問の a要素 */
a:visited {
  color: plum;
}

/* 訪問済みの a要素 */
a:active {
  position: relative;
  top: 2px;
  left: 2px;
}

/* クリック中の a要素 */

/*オーバーレイ*/
#btn {
  background: #717171;
  color: #eeeeee;
  display: block;
  margin: 400px auto;
  width: 70px;
  text-align: center;
  font-size: 15px;
  padding: 5px 0;
  border-radius: 3px;
  cursor: pointer;
}

#overlay {
  display: none;
  text-align: center;
  position: fixed;
  top: 0;
  z-index: 100;
  background: rgba(0, 0, 0, 0.7);
}

#text {
  font-size: 40px;
  color: #eee;
  padding-top: 400px;
  vertical-align: middle;
  font-weight: bold;
}

#close {
  background: #eeeeee no-repeat 10px center;
  color: #717171;
  width: 70px;
  margin: auto;
  text-align: center;
  font-size: 15px;
  padding: 5px 0 5px 10px;
  border-radius: 3px;
  cursor: pointer;
}

/*カレンダー*/
table.calen {
  color: black;
  border-collapse: collapse;
  font-size: 11pt;
  background-color: #fffafa;
  border-radius: 10px;
}

table.calen th {
  border: 1px solid #a57d6b;
  height: 30px;
}

table.calen td {
  border: 1px solid #a57d6b;
  text-align: center;
  height: 30px;
  width: 30px;
}

table.calen .sat {
  color: blue;
}

table.calen .sun {
  color: red;
}

table.calen .today {
  background-color: #ffe4ce;
  font-weight: bold;
}

table.calen tr.bg1 {
  background-color: aqua
}

table.calen tr.bg2 {
  background-color: #eeeeee;
}

/* スライドimg*/
div.slideBox {
  width: 800px;
  height: 400px;
  overflow: hidden;
  position: relative;
}

.item1 {
  opacity: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  left: 0;
  top: 0;
  -webkit-animation: anime 30s 0s infinite;
  animation: anime 30s 0s infinite;
}

.item1:nth-of-type(2) {
  -webkit-animation-delay: 10s;
  animation-delay: 10s;
}

.item1:nth-of-type(3) {
  -webkit-animation-delay: 20s;
  animation-delay: 20s;
}

/* ふわっとアニメーション */
@keyframes anime {
  0% {
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  35% {
    opacity: 1;
  }

  50% {
    opacity: 0;
    z-index: 9;
  }

  100% {
    opacity: 0;
  }
}

@-webkit-keyframes anime {
  0% {
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  35% {
    opacity: 1;
  }

  50% {
    opacity: 0;
    z-index: 9;
  }

  100% {
    opacity: 0;
  }
}

@media screen and (max-device-width: 760px) {

  /* スマホ用のCSS */
  div {
    width: 100%;
    overflow-wrap: break-word;
    word-break: break-all;
  }

  pre {
    white-space: pre-wrap;
    overflow-wrap: break-word;
    word-break: break-all;
  }

  img {
    text-decoration: none;
    border-style: none;
    max-width: 100%;
    height: auto;
  }

  video {
    text-decoration: none;
    border-style: none;
    max-width: 100%;
    height: auto;
  }

  textarea.mail {
    width: 90%;
    height: 150px;
  }

  table.calen {
    width: 80%;
  }

  div.slideBox {
    max-width: 100%;
    height: 250px;
    overflow: hidden;
    position: relative;
  }
}